$(INSTALL_SUDO) cp -r share/. $(DESTDIR)/share/yosys/.
manual:
- cd manual && bash make.sh
+ cd manual && bash manual.sh
clean:
rm -rf share
*.out
*.pdf
*.toc
+*.snm
+*.nav
*.ok
--- /dev/null
+
+\section{Introduction}
+
+\begin{frame}
+\sectionpage
+\end{frame}
+
+\subsection{Representations of (digital) Circuits}
+
+\begin{frame}{\subsecname}
+\begin{itemize}
+ \item Graphical
+ \begin{itemize}
+ \item \alert<1>{Schematic Diagram}
+ \item \alert<2>{Physical Layout}
+ \end{itemize}
+ \bigskip
+ \item Non-graphical
+ \begin{itemize}
+ \item \alert<3>{Netlists}
+ \item \alert<4>{Hardware Description Language}
+ \end{itemize}
+\end{itemize}
+\bigskip
+\begin{block}{Definition}
+ \only<1>{Schematic Diagrams are ...}
+ \only<2>{Physical Layouts are ...}
+ \only<3>{Netlists are ...}
+ \only<4>{Hardware Description Languages are ...}
+\end{block}
+\end{frame}
+
+
+\subsection{Digital Circuit Synthesis}
+
+\begin{frame}{\subsecname}
+\end{frame}
+
+
--- /dev/null
+#!/bin/bash
+
+set -ex
+for job in APPNOTE_010_Verilog_to_BLIF APPNOTE_011_Design_Investigation
+do
+ [ -f $job.ok -a $job.ok -nt $job.tex ] && continue
+ if [ -f $job/make.sh ]; then
+ cd $job
+ bash make.sh
+ cd ..
+ fi
+ old_md5=$([ -f $job.aux ] && md5sum < $job.aux || true)
+ while
+ pdflatex -shell-escape -halt-on-error $job.tex
+ new_md5=$(md5sum < $job.aux)
+ [ "$old_md5" != "$new_md5" ]
+ do
+ old_md5="$new_md5"
+ done
+ touch $job.ok
+done
+
+++ /dev/null
-#!/bin/bash
-
-fast_mode=false
-update_mode=false
-
-set -- $(getopt fu "$@")
-while [ $# -gt 0 ]; do
- case "$1" in
- -f)
- fast_mode=true
- ;;
- -u)
- update_mode=true
- ;;
- --)
- shift
- break
- ;;
- -*)
- echo "$0: error - unrecognized option $1" 1>&2
- exit 1
- ;;
- *)
- break
- esac
- shift
-done
-
-PDFTEX_OPT="-shell-escape -halt-on-error"
-
-if $update_mode; then
- make -C ..
- ../yosys -p 'help -write-tex-command-reference-manual'
-fi
-
-if ! $fast_mode; then
- md5sum *.aux *.bbl *.blg > autoloop.old
-fi
-
-set -ex
-
-pdflatex $PDFTEX_OPT manual.tex
-
-if ! $fast_mode; then
- bibtex manual.aux
- bibtex weblink.aux
-
- while
- md5sum *.aux *.bbl *.blg > autoloop.new
- ! cmp autoloop.old autoloop.new
- do
- cp autoloop.new autoloop.old
- pdflatex $PDFTEX_OPT manual.tex
- done
-
- rm -f autoloop.old
- rm -f autoloop.new
-fi
-
+++ /dev/null
-#!/bin/bash
-
-set -ex
-for job in APPNOTE_010_Verilog_to_BLIF APPNOTE_011_Design_Investigation
-do
- [ -f $job.ok -a $job.ok -nt $job.tex ] && continue
- if [ -f $job/make.sh ]; then
- cd $job
- bash make.sh
- cd ..
- fi
- old_md5=$([ -f $job.aux ] && md5sum < $job.aux || true)
- while
- pdflatex -shell-escape -halt-on-error $job.tex
- new_md5=$(md5sum < $job.aux)
- [ "$old_md5" != "$new_md5" ]
- do
- old_md5="$new_md5"
- done
- touch $job.ok
-done
-
--- /dev/null
+#!/bin/bash
+
+fast_mode=false
+update_mode=false
+
+set -- $(getopt fu "$@")
+while [ $# -gt 0 ]; do
+ case "$1" in
+ -f)
+ fast_mode=true
+ ;;
+ -u)
+ update_mode=true
+ ;;
+ --)
+ shift
+ break
+ ;;
+ -*)
+ echo "$0: error - unrecognized option $1" 1>&2
+ exit 1
+ ;;
+ *)
+ break
+ esac
+ shift
+done
+
+PDFTEX_OPT="-shell-escape -halt-on-error"
+
+if $update_mode; then
+ make -C ..
+ ../yosys -p 'help -write-tex-command-reference-manual'
+fi
+
+if ! $fast_mode; then
+ md5sum *.aux *.bbl *.blg > autoloop.old
+fi
+
+set -ex
+
+pdflatex $PDFTEX_OPT manual.tex
+
+if ! $fast_mode; then
+ bibtex manual.aux
+ bibtex weblink.aux
+
+ while
+ md5sum *.aux *.bbl *.blg > autoloop.new
+ ! cmp autoloop.old autoloop.new
+ do
+ cp autoloop.new autoloop.old
+ pdflatex $PDFTEX_OPT manual.tex
+ done
+
+ rm -f autoloop.old
+ rm -f autoloop.new
+fi
+
--- /dev/null
+#!/bin/bash
+
+fast_mode=false
+
+set -- $(getopt fu "$@")
+while [ $# -gt 0 ]; do
+ case "$1" in
+ -f)
+ fast_mode=true
+ ;;
+ --)
+ shift
+ break
+ ;;
+ -*)
+ echo "$0: error - unrecognized option $1" 1>&2
+ exit 1
+ ;;
+ *)
+ break
+ esac
+ shift
+done
+
+PDFTEX_OPT="-shell-escape -halt-on-error"
+
+if ! $fast_mode; then
+ md5sum *.aux *.snm *.nav *.toc > autoloop.old
+fi
+
+set -ex
+
+pdflatex $PDFTEX_OPT presentation.tex
+
+if ! $fast_mode; then
+ while
+ md5sum *.aux *.snm *.nav *.toc > autoloop.new
+ ! cmp autoloop.old autoloop.new
+ do
+ cp autoloop.new autoloop.old
+ pdflatex $PDFTEX_OPT presentation.tex
+ done
+
+ rm -f autoloop.old
+ rm -f autoloop.new
+fi
+
--- /dev/null
+\documentclass{beamer}
+
+\title{Yosys Open SYnthesis Suite}
+\author{Clifford Wolf}
+
+\beamertemplatenavigationsymbolsempty
+
+\begin{document}
+
+\begin{frame}
+\titlepage
+\end{frame}
+
+\include{PRESENTATION_Intro}
+
+\end{document}